QGIS Application - Feature request #13906
Add a cluster renderer
2015-11-29 09:51 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21928
Description

The current point displacement renderer already supports clustering. To have a real cluster renderer, it should be possible to scale and
label the cluster center with the number of clustered features.

As discussed in https:/lists.osgeo.org/pipermail/qgis-user/2015-November/034260.html

Similar to http://suite.opengeo.org/opengeo-docs/cartography/rt/pointstacker.html

History

#1 - 2016-08-01 08:38 AM - Patrick Palmier

| wish it will be possible to scale and label the cluster center with an aggregate expression and not only a count aggregator

For example (sum of a column or expression, or min, max, mean, count,sddev,...)
For example, as | have data about number of bus services or the number of boarding passengers at public transport stops, it would be interesting to have a
cluster defined by the sum of boarding passengers of stops in the neighbourhood depending of the zoom automatically and the distance between stops

points.

A great feature, if it could be implemented. | hope we could contribute to the cownfunding

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
#3 - 2018-07-23 08:36 PM - Anita Graser
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Implemented in QGIS 3
